org.apache.poi.hwpf.model

## Class SEPX

- java.lang.Object
- - org.apache.poi.hwpf.model.PropertyNode<SEPX>
  - - org.apache.poi.hwpf.model.SEPX

- All Implemented Interfaces:
    java.lang.Comparable<SEPX>, Duplicatable

      @Internal
      public final class SEPX
      extends PropertyNode<SEPX>

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.PropertyNode

      `_buf, EndComparator, StartComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SEPX(SectionDescriptor sed, int start, int end, byte[] grpprl)`
    `SEPX(SEPX other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SEPX` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `byte[]` | `getGrpprl()`
    `SectionDescriptor` | `getSectionDescriptor()`
    `SectionProperties` | `getSectionProperties()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.PropertyNode

      `adjustForDelete, clone, compareTo, getEnd, getStart, limitsAreEqual, setEnd, setStart`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SEPX

          public SEPX(SEPX other)

    - #### SEPX

          public SEPX(SectionDescriptor sed,
                      int start,
                      int end,
                      byte[] grpprl)

  - ### Method Detail

    - #### getGrpprl

          public byte[] getGrpprl()

    - #### getSectionDescriptor

          public SectionDescriptor getSectionDescriptor()

    - #### getSectionProperties

          public SectionProperties getSectionProperties()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `PropertyNode<SEPX>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `PropertyNode<SEPX>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### copy

          public SEPX copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `PropertyNode<SEPX>`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.